commit:     ed28895a9f058b73bb6160acb844087d8c8113e2
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 13 07:09:30 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Dec 13 07:09:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed28895a

dev-ruby/io-console: add 0.7.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/io-console/Manifest                |  1 +
 dev-ruby/io-console/io-console-0.7.0.ebuild | 42 +++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-ruby/io-console/Manifest b/dev-ruby/io-console/Manifest
index 017e969e1373..d167d3f73039 100644
--- a/dev-ruby/io-console/Manifest
+++ b/dev-ruby/io-console/Manifest
@@ -1 +1,2 @@
 DIST io-console-0.6.0.tar.gz 45358 BLAKE2B 
0de9eabbc2dd218e7ff367d970133080eda36178f35655c392ba6ab73866cb7fba09fd26a16062ef1f1bab1fb941486f13e277589aa98954612d4593421afcff
 SHA512 
25e6fc318c51dc9f8daf5743340505eea7c5364b1787862464bfb45afb99c7c7ac8c55caf1f53c5fb5921269f3827262f17449f110efbcc44f7364235563959d
+DIST io-console-0.7.0.tar.gz 36264 BLAKE2B 
3cd627d8847fdfe37a95c68745b2328e9900e749e018d169f3261f8c52d4bd426b95aa833d21d1cd5a822c1caee3eb1decd1e7ab243414dd9685d4ead80d5025
 SHA512 
3e10df57a20903e16870526c890a8a2fc428de3f40d7a712dd1dc64fe5e9a7a69bd9ca820828e103f96aba681d05149a01167a7ee92e288283a633e333637973

diff --git a/dev-ruby/io-console/io-console-0.7.0.ebuild 
b/dev-ruby/io-console/io-console-0.7.0.ebuild
new file mode 100644
index 000000000000..6acd5a18732c
--- /dev/null
+++ b/dev-ruby/io-console/io-console-0.7.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/io/console/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/io"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="io-console.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="add console capabilities to IO instances"
+HOMEPAGE="https://github.com/ruby/io-console";
+SRC_URI="https://github.com/ruby/io-console/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+       sed -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+               -e 's/git ls-files -z/find * -print0/' \
+               -i ${RUBY_FAKEGEM_GEMSPEC} || die
+       sed -e '/task :test/ s:^:#:' -i Rakefile || die
+
+       # Avoid test that require a proper TTY
+       sed -e '/test_\(bad_keyword\|failed_path\)/aomit "requires TTY"' \
+               -i test/io/console/test_io_console.rb || die
+
+       # Remove ruby and ffi files in accordance with the gemspec. These
+       # are only used when using a different ruby engine like jruby.
+       rm -fr lib/io/console.rb lib/io/console/ffi || die
+}
+
+each_ruby_test() {
+       ${RUBY} -Ilib:.:test:test/lib -rhelper -e 
'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}

Reply via email to